Create Answer

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Required Fields and relationships

Depending on the question you are attempting to answer, you will need to use the correct attribute. You will also need to provide the answerable relationship with your request - this can be either an application or job_seeker record

Question typeRequired attributesRequired Relationships
short_text or long_texttext_answerquestion
answerable
booleanboolean_answerquestion
answerable
numbernumber_answerquestion
answerable
urlurl_answerquestion
answerable
documentdocument_base64_filename, document_base64_data. This is done in the same way as submitting a CV.question
answerable
multiple_choiceNonequestion,
answerable,
answer_options. See the example below for how to submit the answer options.
datedate_answerquestion
answerable
date_rangedate_from_answer and date_to_answerquestion
answerable

Examples of how to submit different answer types

{
  "data": {
    "type": "answers",
    "attributes": {
      "text_answer": "Hello, Globe!"
    },
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "1"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "1"
        }
      }
    }
  }
}
{
  "data": {
    "type": "answers",
    "attributes": {
      "boolean_answer": true
    },
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "1"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "1"
        }
      }
    }
  }
}
{
  "data": {
    "type": "answers",
    "attributes": {
      "number_answer": 123
    },
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "1"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "1"
        }
      }
    }
  }
}
{
  "data": {
    "type": "answers",
    "attributes": {
      "url_answer": "https://pinpointhq.com"
    },
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "1"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "1"
        }
      }
    }
  }
}
{
  "data": {
    "type": "answers",
    "attributes": {
      "document_base64_filename": "example.pdf",
      "document_base64_data": "data:application/pdf;base64,...[REDACTED_DATA]..."
    },
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "1"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "1"
        }
      }
    }
  }
}
{
  "data": {
    "type": "answers",
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "4"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "22"
        }
      },
      "answer_options": {
        "data": [
          {
            "type": "answer_options",
            "method": "create",
            "temp-id": "temp-1"
          },
          {
            "type": "answer_options",
            "method": "create",
            "temp-id": "temp-2"
          }
        ]
      }
    }
  },
  "included": [
    {
      "type": "answer_options",
      "temp-id": "temp-1",
      "attributes": {
        "text": "React"
      }
    },
    {
      "type": "answer_options",
      "temp-id": "temp-1",
      "attributes": {
        "text": "Vue"
      }
    }
  ]
}
Example Description
{
  "data": {
    "type": "answers",
    "attributes": {
      "date_answer": "2020-01-01"
    },
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "1"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "1"
        }
      }
    }
  }
}
{
  "data": {
    "type": "answers",
    "attributes": {
      "date_from_answer": "2022-01-01",
      "date_to_answer": "2024-04-03"
    },
    "relationships": {
      "answerable": {
        "data": {
          "type": "applications",
          "id": "1"
        }
      },
      "question": {
        "data": {
          "type": "questions",
          "id": "1"
        }
      }
    }
  }
}
Body Params
data
object
included
array of objects
included
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json